#ifndef _HW_WEB_PAGES_H
#define _HW_WEB_PAGES_H
/*   
   webPages.h
   by Matthew Ford,  2021/12/06
   (c)2021 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
   This code may be freely used for both private and commerical use.
   Provide this copyright is maintained.
*/
#include <Arduino.h>
#include "HistoryRecord.h"

void startAsyncWebServer(); // call this from setup() if not starting wifi config
bool isFileNameDate(const char *name);
bool isFileNameDateCsv(const char *name);
float calculateDailyCost(const char *filename, Accumulated_kWh_RecordStruct& accRecord, bool writeCostsFile); // returns cost for today to current time
const char* getCostsFilename();
void dumpCostsFile(Print *outPtr);

#endif
