#ifndef VOLATILE_VARS_H
#define VOLATILE_VARS_H
/*
  (c)2023 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

#include "HistoryRecord.h"

extern volatile  bool wifiConnected_v;
extern volatile  unsigned long dayMins_v;

extern volatile  bool updated_v;
extern volatile  float watts3PhKW_v;
extern volatile  float totalHotWaterKWhrs_v;
extern volatile  float solarHotWaterKW_v;
extern volatile  float totalCost_v;
extern volatile  bool fullyHeated_v;
extern volatile  int state_v;

extern volatile  float totalHotWaterKWhrs_yesterday_v;
extern volatile  float totalCost_yesterday_v;
extern volatile  bool fullyHeated_yesterday_v;

extern volatile  float JSY_Import_kWh_v; // Note this a +ve number always
extern volatile  float JSY_Export_kWh_v; // Note this a +ve number always
extern volatile  float JSY_HW_kWh_v;
extern volatile  float JSY_OffPeak_kWh_v;


#endif
