#include "volatileVars.h"
/*
  (c)2023 Forward Computing and Control Pty. Ltd.
  NSW Australia, www.forward.com.au
  This code is not warranted to be fit for any purpose. You may only use it at your own risk.
  This code may be freely used for both private and commercial use
  Provided this copyright is maintained.
*/

volatile bool wifiConnected_v = false;
volatile bool updated_v = false;
volatile unsigned long dayMins_v;

volatile float watts3PhKW_v = 0.0;
volatile float solarHotWaterKW_v = 0.0;
volatile float totalHotWaterKWhrs_v = 0.0;
volatile float totalCost_v = 0.0;
volatile bool fullyHeated_v = false;
volatile int state_v = 3; // no connection

volatile float totalHotWaterKWhrs_yesterday_v = 0.0;
volatile float totalCost_yesterday_v = 0.0;
volatile bool fullyHeated_yesterday_v = false;

volatile float JSY_Import_kWh_v = 0; // Note this a +ve number always
volatile float JSY_Export_kWh_v = 0; // Note this a +ve number always
volatile float JSY_HW_kWh_v = 0;
volatile float JSY_OffPeak_kWh_v = 0;
